summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 23:29:58 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:58 +0200
commite91f1ffad9d81c24ffaac5e739f90c6e3f8973db (patch)
treef650a444b14407dd980a7833d3500d3bfc1d026b /libraries
parent8711c45675650211b9917cf51e9d3e2bdb449619 (diff)
downloadslackbuilds-e91f1ffad9d81c24ffaac5e739f90c6e3f8973db.tar.gz
slackbuilds-e91f1ffad9d81c24ffaac5e739f90c6e3f8973db.tar.xz
libraries/cbase: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/cbase/README8
-rw-r--r--libraries/cbase/cbase.SlackBuild69
-rw-r--r--libraries/cbase/cbase.info8
-rw-r--r--libraries/cbase/slack-desc18
4 files changed, 103 insertions, 0 deletions
diff --git a/libraries/cbase/README b/libraries/cbase/README
new file mode 100644
index 0000000000..cd0931d4c9
--- /dev/null
+++ b/libraries/cbase/README
@@ -0,0 +1,8 @@
+cbase is a C library of useful functions that simplify systems software
+development on System V UNIX. The library includes routines for memory
+management, string parsing, filesystem traversal, subprocess execution,
+I/O, as well as implementations of common data structures such as linked
+lists, hash tables, stacks, and queues. The library also includes a high-
+level interface to Berkeley sockets, and an implementation of a scheduler
+which has functionality very similar to that of the cron daemon.
+Note: cbase was formerly known as CFL.
diff --git a/libraries/cbase/cbase.SlackBuild b/libraries/cbase/cbase.SlackBuild
new file mode 100644
index 0000000000..76e201e71f
--- /dev/null
+++ b/libraries/cbase/cbase.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for cbase
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=cbase
+VERSION=${VERSION:-1.3.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/cbase/cbase.info b/libraries/cbase/cbase.info
new file mode 100644
index 0000000000..5cecb85f35
--- /dev/null
+++ b/libraries/cbase/cbase.info
@@ -0,0 +1,8 @@
+PRGNAM="cbase"
+VERSION="1.3.4"
+HOMEPAGE="http://www.hyperrealm.com/main.php?s=cbase"
+DOWNLOAD="http://www.hyperrealm.com/cbase/cbase-1.3.4.tar.gz"
+MD5SUM="71deb31c9e76368d4c3a204fe3b4fedf"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="dsomero"
diff --git a/libraries/cbase/slack-desc b/libraries/cbase/slack-desc
new file mode 100644
index 0000000000..5c09ac6f28
--- /dev/null
+++ b/libraries/cbase/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+cbase: cbase (C routines library)
+cbase:
+cbase: cbase is a C library of functions that simplify systems software
+cbase: development on System V UNIX.
+cbase:
+cbase: cbase was written by Mark Lindner
+cbase:
+cbase:
+cbase:
+cbase:
+cbase: